.q-table--horizontal-separator thead th, .q-table--horizontal-separator tbody tr:not(:last-child) td, .q-table--cell-separator thead th, .q-table--cell-separator tbody tr:not(:last-child) td {
    border-bottom-width: 0px; 
}

.q-table thead tr, .q-table tbody td {
    height: 52px;
}

.body--light {
    .estilos-table{
        border-radius: 20px;
        padding: 25px 25px 10px 25px;
        box-shadow: 0 4px 24px 0 #e4e4e4;
        
        .cabecera-table{ 
            font-size: 14px;
            color: #505887;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        }   
    }
}
 

.body--dark {
    .estilos-table{ 
        border-radius: 20px;
        padding: 25px 25px 10px 25px;
        
        .cabecera-table{ 
            font-size: 14px;
            color: #FFFFFF;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        }
    }  
} 

@media only screen and (max-width: 700px) { 
    .estilos-table{ 
        border-radius: 20px;
        padding: 20px 20px 10px 20px; 
    }
}


.body--light {
    .estilos-table-no-padding{ 
        border-radius: 20px;
        padding: 0px;
        .cabecera-table{ 
            font-size: 14px;
            color: #505887;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        }     
    } 
}

.body--dark {
    .estilos-table-no-padding{ 
        border-radius: 20px;
        padding: 0px;
        .cabecera-table{ 
            font-size: 14px;
            color: #FFFFFF;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        } 
    }
}  
 
@media only screen and (max-width: 700px) { 
    .estilos-table-no-padding{
        border-radius: 20px;
        padding: 0px; 
    }
}

.body--light {
    .estilos-table-mini-table{ 
        border-radius: 0px;
        padding: 10px;
        .cabecera-table{ 
            font-size: 14px;
            color: #505887;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        } 
    }
}

.body--dark {
    .estilos-table-mini-table{
        border-radius: 0px;
        padding: 10px;
        .cabecera-table{ 
            font-size: 14px;
            color: #FFFFFF;
            font-weight: 600;
            @media only screen and (max-width: 700px) { 
                font-size: 13px;
            }
        } 
    } 
} 


@media only screen and (max-width: 700px) { 
    .estilos-table-mini-table{
        border-radius: 20px;
        padding: 10px; 
    }
}

.q-table tbody td {
    font-size: 14px;  
    @media only screen and (max-width: 700px) { 
        font-size: 12px;
    }
}

.margin-button-action{
    margin-right: 5px;
}

//filas por página
.body--light {
    .q-table__bottom .q-table__control { 
        font-size: 15px;
        color: #505887;
        font-weight: 500;
        @media only screen and (max-width: 700px) { 
            font-size: 12px;
        }
    }
}

.body--dark {
    .q-table__bottom .q-table__control { 
        font-size: 15px;
        color: #FFFFFF;
        font-weight: 500;
        @media only screen and (max-width: 700px) { 
            font-size: 12px;
        }
    }
} 


//la parte de la paginacion, lo he centrado el row
.q-table__bottom { 
    padding: 15px 14px 4px 16px; 
}


.margin-top-bottom-td-mini-table {
    margin-bottom: -2px;
    padding-bottom: 14px;
    margin-top: 1px;
    padding-top: 7px;
}

.setWidthSearchTable{
    width:400px;
    @media only screen and (max-width: 700px) { 
        width:240px;
    }
    @media only screen and (max-width: 350px) { 
        width:180px;
    }
}